package cn.com.qmth.examcloud.exchange.outer.api.response;

import cn.com.qmth.examcloud.api.commons.exchange.EnterpriseResponse;
import io.swagger.annotations.ApiModelProperty;

public class OuterQueryFinalScoreDataResp extends EnterpriseResponse {

    private static final long serialVersionUID = 7651693026235437061L;

    @ApiModelProperty(value = "最终成绩", example = "100.0", notes = "缺考、违纪、未审核时，成绩返回空")
    private Double totalScore;

    @ApiModelProperty(value = "是否缺考", example = "false")
    private Boolean isAbsent;

    @ApiModelProperty(value = "是否违纪", example = "false")
    private Boolean isIllegality;

    @ApiModelProperty(value = "是否已审核", example = "false")
    private Boolean isAudit;

    public Double getTotalScore() {
        return totalScore;
    }

    public void setTotalScore(Double totalScore) {
        this.totalScore = totalScore;
    }

    public Boolean getAbsent() {
        return isAbsent;
    }

    public void setAbsent(Boolean absent) {
        this.isAbsent = absent;
    }

    public Boolean getIllegality() {
        return isIllegality;
    }

    public void setIllegality(Boolean illegality) {
        this.isIllegality = illegality;
    }

    public Boolean getAudit() {
        return isAudit;
    }

    public void setAudit(Boolean audit) {
        this.isAudit = audit;
    }

}
